routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('pdfshow', 'SubscriptionController@pdfshow')->name('pdfshow');
Route::group(['middleware' => ['role:admin']], function () {
    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('settings', 'SettingController@update')->name('settings.update');
    Route::post('file-upload', 'SettingController@FileLogin')->name('file-upload');
    Route::post('topbar-upload', 'SettingController@FileTopbar')->name('topbar-upload');
    Route::post('favicon-upload', 'SettingController@FileFavicon')->name('favicon-upload');
    Route::get('chains/send', 'ChainController@send')->name('chains.send');
    Route::put('chains/send', 'ChainController@storeSend')->name('chains.storeSend');
    Route::get('holograms/send', 'HologramController@send')->name('holograms.send');
    Route::put('holograms/send', 'HologramController@storeSend')->name('holograms.storeSend');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
//    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('demands/accept/{demand}', 'DemandController@accept')->name('demands.accept');
    Route::put('demands/refuse/{demand}', 'DemandController@refuse')->name('demands.refuse');
    Route::get('shipments','ShipmentController@index')->name('shipment.index');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
    Route::put('users/{user}/picture', 'UserController@updatePicture')->name('users.picture.update');
    Route::put('users/{user}/password', 'UserController@updatePassword')->name('users.password.update');
    Route::get('users/blocked', 'UserController@blocked')->name('users.blocked');
    Route::patch('users/{id}/restore', 'UserController@restore')->name('users.restore');
    Route::delete('users/block/{user}', 'UserController@block')->name('users.block');
    Route::resource('users', 'UserController');

    Route::get('agencies/blocked', 'AgencyController@blocked')->name('agencies.blocked');
    Route::patch('agencies/{id}/restore', 'AgencyController@restore')->name('agencies.restore');
    Route::delete('agencies/block/{agency}', 'AgencyController@block')->name('agencies.block');
    Route::resource('agencies', 'AgencyController');


    Route::resource('subscriptionCategories', 'SubscriptionCategoryController');
    Route::resource('subscriptionPeriods', 'SubscriptionPeriodController');
    Route::resource('chains', 'ChainController');
    Route::resource('holograms', 'HologramController');

    Route::get('lines/blocked', 'LineController@blocked')->name('lines.blocked');
    Route::patch('lines/{id}/restore', 'LineController@restore')->name('lines.restore');
    Route::delete('lines/block/{line}', 'LineController@block')->name('lines.block');
    Route::resource('lines', 'LineController');
    Route::get('lines/order/{line}','LineController@order')->name('line.order');
    Route::post('lines/order/{line}','LineController@orderstore')->name('line.order.save');
    Route::get('lines/getstations/{id}', 'LineController@getStations');

    Route::get('institutions/blocked', 'InstitutionController@blocked')->name('institutions.blocked');
    Route::patch('institutions/{id}/restore', 'InstitutionController@restore')->name('institutions.restore');
    Route::delete('institutions/block/{institution}', 'InstitutionController@block')->name('institutions.block');
    Route::resource('institutions', 'InstitutionController');

    Route::resource('buses', 'BusController');
    Route::resource('stations', 'StationController');
    Route::resource('demands', 'DemandController');
    Route::resource('declarations', 'DeclarationController');
    Route::resource('deliveries', 'DeliveryController');
    Route::resource('logs', 'LogActivityController');
    Route::resource('socials', 'SocialController');
    Route::post('socials/import', 'SocialController@import')->name('socials.import');
    Route::get('rapports', 'RapportController@index')->name('rapports');

});
Route::get('/v1/verifref/{chain?}','SubscriptionController@verifref')->name('ajax.verifref');
Route::get('/','HomeController@index')->name('home');
//Locale Route
Route::get('locale/{locale}', function ($locale){
    Session::put('locale', $locale);
    return redirect()->back();
});

Route::group(['middleware' => 'auth'], function () {
Route::resource('clients', 'ClientController');
Route::resource('subscriptions', 'SubscriptionController');

Route::view('/editor','editor.index');
Route::get('pdf/{id}','SubscriptionController@generatePDF')->name('pdf');
Route::get('{first}/{second}/{third}', 'RoutingController@thirdLevel')->name('third');
Route::get('{first}/{second}', 'RoutingController@secondLevel')->name('second');
Route::get('{any}', 'RoutingController@root')->name('any');
});
//Route::group(['middleware' => 'auth', 'prefix' => '/'], function () {

//});


// landing
//Route::get('', 'RoutingController@index')->name('index');

app/Client.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Carbon\Carbon;
class Client extends Model
{
    use LogsActivity;
    protected $guarded=[];
    protected $dates=['birth','created_at'];
//    protected $appends=['addresses'];
    public function address()
    {
        return $this->hasMany(Address::class);
    }
    public function education()
    {
        return $this->hasMany(Education::class);
    }
    public function subscriptions()
    {
        return $this->hasMany(Subscription::class);
    }
    public function social()
    {
        return $this->belongsTo(Social::class);
    }
    public function company()
    {
        return $this->belongsTo(Company::class);
    }
    public function getAgeAttribute()
    {
        return Carbon::parse($this->attributes['birth'])->age;
    }
    public function getBirthAttribute($date)
    {
        if($date)
        {
            return  Carbon::parse($date)->format('Y-m-d');
        }
        return false;
    }

    public function getCreatedAtAttribute($date)
    {
        if (app()->getLocale()=='ar'){
            return Carbon::parse($date)->format('Y/m/d');
        }else{
            return Carbon::parse($date)->format('d/m/Y');
        }

    }

}

app/Http/Controllers/ClientController.php
<?php

namespace App\Http\Controllers;

use App\Address;
use App\Client;
use App\Subscription;
use App\SubscriptionCategory;
use Carbon\Carbon;
use Dotenv\Repository\AdapterRepository;
use Illuminate\Http\Request;
use DataTables;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;

class ClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

        if ($request->ajax()) {
            $data = Client::all();
//            $data=$data->except('id',Auth::id());
            return Datatables::of($data)
                ->addIndexColumn()

                ->addColumn('name', function (Client $client) {
                    if ($client->picture)
                    {
                        $userPicture=url('../storage/app/clients/'.$client->picture);
                    }
                    else{
                        $userPicture=asset('default.png');
                    }

                    $picture='<td class="table-user"> <img style="width: 30px; height: 30px; border: 1px solid #6658dd57;" src="'.$userPicture.'" alt="table-user" class="mr-2 rounded-circle"> <a href="javascript:void(0);" class="text-body font-weight-semibold">'.$client->name.'</a> </td>';
                    return $picture;
                })
//                ->addColumn('subscriptions', function (Client $client) {
//                    $subscription = $client->subscriptions()->get();
//                        return $subscription;
//                })
                ->addColumn('birth', function (Client $client) {
                    if (app()->getLocale()=='fr'){

                        $birth=Carbon::parse($client->birth)->format('d/m/Y');
                    }
                    else{
                        $birth=Carbon::parse($client->birth)->format('Y/m/d');
                    }

                    return $birth;
                })
                ->addColumn('action', function($row){
                    $btn = '<a href="'.route('clients.show',$row->id).'" class="edit btn btn-info btn-sm">'.__('Afficher').'</a> ';
                    return $btn;
                })
                ->rawColumns(['action','name'])
                ->make(true);
        }

        return view('clients.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Client  $client
     * @return \Illuminate\Http\Response
     */
    public function show(Client $client)
    {
        $address=Address::where('client_id',$client->id);
        $address=$address->get()->last();
        $scolaire=Subscription::where('client_id',$client->id)->where('category_id',1)->count();
        $civile=Subscription::where('client_id',$client->id)->where('category_id',2)->count();
        $sociale=Subscription::where('client_id',$client->id)->where('category_id',3)->count();
        $date=Subscription::first();
        $date=$date->created_at;
        $currentDate = $date;
        $endDate = new \DateTime('this year');


//        $test=Subscription::select(DB::raw('count(id) as `data`,category_id'), DB::raw("DATE_FORMAT(created_at, '%Y') new_date"),  DB::raw('YEAR(created_at) years'))
//        ->groupby('years','category_id')
//        ->get();
//
//        $sub_scolaire = Subscription::where('category_id',1)->where('client_id',$client->id)->where('created_at','>',$currentDate)
//            ->where('created_at','<',$endDate)
//            ->get()
//            ->groupBy(function ($e) {
//                return $e->created_at;
//            });
//
//        $sub_civile = Subscription::where('category_id',2)->where('client_id',$client->id)->where('created_at','>',$currentDate)
//            ->where('created_at','<',$endDate)
//            ->get()
//            ->groupBy(function ($e) {
//                return $e->created_at;
//            });
//            $sub_sociale = Subscription::where('category_id',3)->where('client_id',$client->id)->where('created_at','>',$currentDate)
//            ->where('created_at','<',$endDate)
//            ->get()
//            ->groupBy(function ($e) {
//                return $e->created_at;
//            });
//        while ($currentDate <= $endDate) {
//            $initscolaire[$currentDate->format('Y')] = 0;
//            $initcivile[$currentDate->format('Y')] = 0;
//            $initsociale[$currentDate->format('Y')] = 0;
//            $currentDate->modify('+1 year');
//        }
//
//        foreach ($sub_scolaire as $key => $value) {
//            if (isset($initscolaire[$key])) {;
//                $initscolaire[$key]=$value->count();
//            }
//        }
//        foreach ($sub_civile as $key => $value) {
//            if (isset($initscolaire[$key])) {;
//                $initscolaire[$key]=$value->count();
//            }
//        }
//        foreach ($sub_sociale as $key => $value) {
//            if (isset($initscolaire[$key])) {;
//                $initscolaire[$key]=$value->count();
//            }
//    }
        return view('clients.show',compact('client','address','scolaire','civile','sociale'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Client  $client
     * @return \Illuminate\Http\Response
     */
    public function edit(Client $client)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Client  $client
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Client $client)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Client  $client
     * @return \Illuminate\Http\Response
     */
    public function destroy(Client $client)
    {
        //
    }
}

resources/views/clients/index.blade.php
@extends('layouts.horizontal', ['title' => 'Customers'])

@section('css')
    <!-- Plugins css -->
    <link href="{{asset('assets/libs/datatables/datatables.min.css')}}" rel="stylesheet" type="text/css" />

@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Clients')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Liste des Clients')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Liste des Clients')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card border">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
{{--                                <a href="{{route('users.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle mr-2"></i>--}}
{{--                                    {{__('Ajouter un Utilisateur')}}</a>--}}
                            </div>
                            <!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered table-striped dt-responsive nowrap w-100" id="customers-datatable">
                                <thead>
                                <tr>
{{--                                    <th>{{__('Image')}}</th>--}}
                                    <th>{{__('Nom')}}</th>
                                    <th>{{__('Cin')}}</th>
                                    <th>{{__('Nom parent')}}</th>
                                    <th>{{__('Cin parent')}}</th>
                                    <th>{{__('Date naissance')}}</th>
{{--                                    <th>{{__('Abonnement')}}</th>--}}
                                    <th>{{__('Date de création')}}</th>
                                    <th style="width: 75px;">{{__("Action")}}</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->

    </div> <!-- container -->
    <!-- Danger Alert Modal -->
    <div id="danger-alert-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content modal-filled bg-danger">
                <div class="modal-body p-4">
                    <div class="text-center">
                        <i class="dripicons-wrong h1 text-white"></i>
                        <h4 class="mt-2 text-white">Suppression !</h4>
                        <p class="mt-3 text-white">Cette Action est irreversible</p>
                        <button id="delete" type="button" class="btn btn-light my-2" data-dismiss="modal">Continue</button>
                    </div>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/datatables/datatables.min.js')}}"></script>
    <script src="{{asset('assets/libs/jquery-datatables-checkboxes/jquery-datatables-checkboxes.min.js')}}"></script>
    <script src="{{asset('assets/libs/tippy.js/tippy.js.min.js')}}"></script>
    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
        $(function () {

            var table = $('#customers-datatable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('clients.index') }}",
                columns: [
                    // {data: 'picture', name: 'picture'},
                    {data: 'name', name: 'name'},
                    {data: 'cin', name: 'cin'},
                    {data: 'parent_name', name: 'parent_name'},
                    {data: 'parent_cin', name: 'parent_cin'},
                    {data: 'birth', name: 'birth'},
                    // {data: 'subscription', name: 'subscription'},
                    {data: 'created_at', name: 'created_at'},
                    // {data: 'email', name: 'email'},
                    {
                        data: 'action',
                        name: 'action',
                        orderable: true,
                        searchable: true
                    },
                ]
            });

        });
    </script>
    <script>
        // Delete action
        $(document).on('click', '.delete', function(){
            id = $(this).attr('id');
            $('#'+id).parent().parent().css('border','2px solid #ff6666');
        });
        $('.modal').on('hidden.bs.modal',function () {
            $('.delete').parent().parent().css('border','none');
        })
        $('#delete').click(function(){
            $('#'+id).parent().parent().css('background-color','#ff6666');
            $.ajaxSetup({
                data: {  _token: '{{csrf_token()}}' },
                type:'DELETE',
                url:"/users/"+id,
            });
            $.ajax({
                success:function(data)
                {
                    setTimeout(function(){
                        $('#customers-datatable').DataTable().ajax.reload();
                    }, 1000);
                }
            });
        });



    </script>
    <!-- Page js-->
    {{--    <script src="{{asset('assets/js/pages/customers.init.js')}}"></script>--}}
@endsection

resources/views/clients/show.blade.php
@extends('layouts.horizontal', ['title' => 'Validation | Parsley'])

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Utilisateurs')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Afficher un Utilisateur')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Afficher un Utilisateur')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-lg-4 col-xl-4">
                <div class="card-box text-center">
                    <img src="{{$client->picture ? url('../storage/app/clients/'.$client->picture) : asset('assets/images/user.png')}}" class="rounded-circle avatar-lg img-thumbnail"
                         alt="profile-image">

                    <h4 class="mb-0">{{$client->name}}</h4>
                    @if($client->name_parent)
                        <p class="text-muted mb-2 font-13"><strong>{{__('Nom et Prénom Parent')}} :</strong><span class="ml-2">{{$client->name_parent}}</span></p>
                        <p class="text-muted mb-2 font-13"><strong>{{__('Cin Parent')}} :</strong><span class="ml-2">{{$client->cin_parent}}</span></p>
                    @endif
                    @if($client->cin)
                        <p class="text-muted mb-2 font-13"><strong>{{__('Cin')}} :</strong><span class="ml-2">{{$client->cin}}</span></p>
                    @endif
                    <h5 class="mb-3 mt-4 text-uppercase bg-light p-2"><i class="mdi mdi-account-circle mr-1"></i>{{__('Informations Générales')}}</h5>
                    <div class="col-6 mx-auto">
{{--                        <h4 class="font-13 text-muted text-uppercase">{{__('Adresse')}} :</h4>--}}
{{--                        <p class="mb-3">--}}
{{--                            {{$address->address}}--}}
{{--                        </p>--}}
                        <h4 class="font-13 text-muted text-uppercase">{{__('Téléphone')}} :</h4>
                        <p class="mb-3">
                            {{$client->phone}}
                        </p>

                        <h4 class="font-13 text-muted text-uppercase mb-1">{{__('Date de naissance')}} :</h4>
                        <p class="mb-3"> {{$client->birth}} ({{$client->age}})</p>

                        {{--                                    <h4 class="font-13 text-muted text-uppercase mb-1">Company :</h4>--}}
                        {{--                                    <p class="mb-3">Vine Corporation</p>--}}

                        <h4 class="font-13 text-muted text-uppercase mb-1">{{__('Abonnements')}} :</h4>
                        {{--                                <p class="mb-3"> {{$subscriptions}}</p>--}}



                    </div>
                    <div id="morris-donut-example" style="height: 350px;" class="morris-chart" data-colors="#4fc6e1,#6658dd,#f1556c"></div>

                    <div class="text-center">
                        <p class="text-muted font-15 font-family-secondary mb-0">
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-primary"></i> {{(__('Scolaire'))}} {{$scolaire}}</span>
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-info"></i> {{(__('Civile'))}} {{$civile}}</span>
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-danger"></i> {{(__('Sociale'))}} {{$sociale}}</span>
                        </p>
                    </div>
                    <div class="text-left mt-3">
                        {{--                        <h4 class="font-13 text-uppercase">About Me :</h4>--}}
                        {{--                        <p class="text-muted font-13 mb-3">--}}
                        {{--                            Hi I'm Johnathn Deo,has been the industry's standard dummy text ever since the--}}
                        {{--                            1500s, when an unknown printer took a galley of type.--}}
                        {{--                        </p>--}}


{{--                        @if($client->education->last())--}}
{{--                        <p class="text-muted mb-2 font-13"><strong>{{__('Email')}} :</strong> <span class="ml-2 ">{{app()->getLocale()=='fr'?$client->education->institution->name_french:$client->education->institution->name_arab}}</span></p>--}}
{{--                        @endif--}}
{{--                        <p class="text-muted mb-1 font-13"><strong>{{__('Dernière connexion')}} :</strong> <span class="ml-2">{{$login}}</span></p>--}}
                    </div>

                </div> <!-- end card-box -->



            </div> <!-- end col-->
            <div class="col-lg-8 ">
                <div class="card-box" dir="ltr">
{{--                    <h4 class="header-title mb-3">Stacked Bar Chart</h4>--}}
                    <div class="text-center">
                        <p class="text-muted font-15 font-family-secondary mb-0">
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-blue"></i> {{__('Scolaire')}}</span>
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-info"></i> {{__('Civile')}}</span>
                            <span class="mx-2"><i class="mdi mdi-checkbox-blank-circle text-muted"></i> {{__('Sociale')}}</span>
                        </p>
                    </div>
                    <div id="morris-bar-stacked" style="height: 350px;" class="morris-chart" data-colors="#4a81d4,#4fc6e1,#e3eaef"></div>
                </div> <!-- end card-box-->
            </div> <!-- end col-->
        </div>
        <!-- end row -->

    </div> <!-- container -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/morris.js06/morris.js06.min.js')}}"></script>
    <script src="{{asset('assets/libs/raphael/raphael.min.js')}}"></script>

    <!-- Page js-->
    <script>
        !function($) {
            "use strict";

            var MorrisCharts = function() {};
                //creates Stacked chart
                MorrisCharts.prototype.createStackedChart  = function(element, data, xkey, ykeys, labels, lineColors) {
                Morris.Bar({
                    element: element,
                    data: data,
                    xkey: xkey,
                    ykeys: ykeys,
                    stacked: true,
                    labels: labels,
                    hideHover: 'auto',
                    dataLabels: false,
                    resize: true, //defaulted to true
                    gridLineColor: 'rgba(65, 80, 95, 0.07)',
                    barColors: lineColors
                });
            },
                //creates Donut chart
                MorrisCharts.prototype.createDonutChart = function(element, data, colors) {
                    Morris.Donut({
                        element: element,
                        data: data,
                        barSize: 0.2,
                        resize: true, //defaulted to true
                        colors: colors,
                        backgroundColor: 'transparent'
                    });
                },

                MorrisCharts.prototype.init = function() {

                    //creating Stacked chart
                    var $stckedData  = [
                        { y: '2007', a: 45, b: 180, c: 100 },
                        { y: '2008', a: 75,  b: 65, c: 80 },
                        { y: '2009', a: 100, b: 90, c: 56 },
                        { y: '2010', a: 75,  b: 65, c: 89 },
                        { y: '2011', a: 100, b: 90, c: 120 },
                        { y: '2012', a: 75,  b: 65, c: 110 },
                        { y: '2013', a: 50,  b: 40, c: 85 },
                        { y: '2014', a: 75,  b: 65, c: 52 },
                        { y: '2015', a: 50,  b: 40, c: 77 },
                        { y: '2016', a: 75,  b: 65, c: 90 },
                        { y: '2017', a: 100, b: 90, c: 130 },
                        { y: '2018', a: 80, b: 65, c: 95 },

                    ];
                    var colors = ['#4a81d4','#4fc6e1','#e3eaef'];
                    var dataColors = $("#morris-bar-stacked").data('colors');
                    if (dataColors) {
                        colors = dataColors.split(",");
                    }
                    this.createStackedChart('morris-bar-stacked', $stckedData, 'y', ['a', 'b', 'c'], ["{{__('Scolaire')}}", "{{__('Civile')}}", "{{__('Sociale')}}"], colors);

                    //creating donut chart
                    var $donutData = [
                        {label: "{{(__('Scolaire'))}}", value: {{$scolaire}} },
                        {label: "{{(__('Civile'))}}", value: {{$civile}} },
                        {label: "{{(__('Sociale'))}}", value: {{$sociale}} }
                    ];
                    var colors = ['#4fc6e1','#6658dd', '#f1556c'];
                    var dataColors = $("#morris-donut-example").data('colors');
                    if (dataColors) {
                        colors = dataColors.split(",");
                    }
                    this.createDonutChart('morris-donut-example', $donutData, colors);
                },
                //init
                $.MorrisCharts = new MorrisCharts, $.MorrisCharts.Constructor = MorrisCharts
        }(window.jQuery),

//initializing
            function($) {
                "use strict";
                $.MorrisCharts.init();
            }(window.jQuery);
    </script>
@endsection